#!/usr/bin/env perl
use strict;
use warnings;
use utf8;
use autodie;
use PerlIO::gzip;

sub say {
    my $line = shift;
    print "$line\n";
}

sub tsvsay {
    my $line = join "\t", @_;
    print "$line\n";
}

binmode STDIN, ':utf8';
binmode STDOUT, ':utf8';
binmode STDERR, ':utf8';

my $line = <>;
chomp $line;
my @kls = split /\t/, $line;

$line = <>;
chomp $line;
my @langs = split / /, $line;

my $min_lang;
my $min_kl = 10000;

for (my $i = 0; $i < @langs; $i++) {
    if ($kls[$i] != 0 && $kls[$i] < $min_kl) {
        $min_kl = $kls[$i];
        $min_lang = $langs[$i];
    }
}

say $min_lang;
warn "$min_kl\n"

