#!/bin/bash
# language
l=$1
# config (no file extension)
c=$2
# name
n=${l}_${c}

echo "Going to train and test the unlabelled parser."
echo "Language: $l"
echo "Config: $c.config"
echo "Model file: $n.model"

mkdir -p $HOME/models/
cd $HOME/models/
ln -s $HOME/projection_parsing/$c.config $n.config
$HOME/mst_perl/scripts/train_conll.pl /a/LRC_TMP/hamledt/rur_projection_parsing/$l/train.conll $HOME/models/$n
$HOME/mst_perl/scripts/test_conll.pl  /a/LRC_TMP/hamledt/rur_projection_parsing/$l/train.conll $HOME/models/$n
echo "...that was train score of $n.model"
$HOME/mst_perl/scripts/test_conll.pl  /a/LRC_TMP/hamledt/rur_projection_parsing/$l/test.conll  $HOME/models/$n
echo "...that was test score of $n.model"

