#!/usr/bin/env perl
use strict;
use warnings;
use utf8;
use autodie;
use PerlIO::gzip;

sub say {
    my $line = shift;
    print "$line\n";
}

sub tsvsay {
    my $line = join "\t", @_;
    print "$line\n";
}

binmode STDIN, ':utf8';
binmode STDOUT, ':utf8';
binmode STDERR, ':utf8';

my $line = <>;
chomp $line;
my @kl = split /\t/, $line;
my %lang2kl = ();
while (<>) {
    chomp;
    $lang2kl{$_} = shift @kl;
}

tsvsay(%lang2kl);

