#!/bin/bash
# language A
la=$1
# language B
lb=$2
# config (no file extension, no lang specifier)
c=$3
# name for config/model
n=${la}_${c}

echo "Going to test the unlabelled parser."
echo "Train language: $la"
echo "Test language: $lb"
echo "Config: $c.config"
echo "Model file: $n.model"
echo "Test file: $lb/test.conll"

mkdir -p $HOME/models/
cd $HOME/models/
ln -s $HOME/projection_parsing/$c.config $n.config
$HOME/mst_perl/scripts/test_conll.pl  /a/LRC_TMP/hamledt/rur_projection_parsing/$lb/test.conll $HOME/models/$n

