#!/bin/bash
# test language
l=$1
# config (no file extension, no lang specifier)
c=$2
# models with weights, tab-separated (cs 0.2 en 0.7 ...)
m=$3

echo "Going to test the unlabelled parser."
echo "Test language: $l"
echo "Config: $c"
echo "Test file: $l/test.conll"
echo "Model file with weights: $l/$m"

mkdir -p $HOME/models/
cd $HOME/models/
ln -s $HOME/projection_parsing/$c.config
$HOME/mst_perl/scripts/test_conll_treecomb_weighted_f.pl /a/LRC_TMP/hamledt/rur_projection_parsing/$l/test.conll $c `cat /a/LRC_TMP/hamledt/rur_projection_parsing/$l/$m`

